<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>wcd 6.0.5 - Wherever Change Directory</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rev="made" href="mailto:ASSI@cygwinpro.fritz.box" />
</head>

<body>



<ul id="index">
  <li><a href="#NOME">NOME</a></li>
  <li><a href="#SINOPSE">SINOPSE</a></li>
  <li><a href="#DESCRIO">DESCRI&Ccedil;&Atilde;O</a>
    <ul>
      <li><a href="#Viso-geral">Vis&atilde;o geral</a></li>
      <li><a href="#Uso-bsico">Uso b&aacute;sico</a></li>
      <li><a href="#Caracteres-curingas">Caracteres curingas</a></li>
      <li><a href="#Outros-usos">Outros usos</a></li>
      <li><a href="#Caminhos-UNC-do-Windows">Caminhos UNC do Windows</a></li>
      <li><a href="#Redimensionamento-de-console-no-Windows">Redimensionamento de console no Windows</a></li>
      <li><a href="#Interfaces">Interfaces</a></li>
    </ul>
  </li>
  <li><a href="#OPES">OP&Ccedil;&Otilde;ES</a></li>
  <li><a href="#INSTALAO">INSTALA&Ccedil;&Atilde;O</a>
    <ul>
      <li><a href="#Instalao-para-shells-de-tipo-POSIX">Instala&ccedil;&atilde;o para shells de tipo POSIX</a></li>
      <li><a href="#Instalao-para-shells-parecidos-com-C-csh-tcsh">Instala&ccedil;&atilde;o para shells parecidos com C (csh, tcsh)</a></li>
      <li><a href="#Verso-para-Prompt-de-Comando-do-Windows">Vers&atilde;o para Prompt de Comando do Windows</a></li>
      <li><a href="#Windows-VISTA-ou-maios-novo">Windows VISTA ou maios novo</a></li>
      <li><a href="#Verso-para-PowerShell-do-Windows">Vers&atilde;o para PowerShell do Windows</a></li>
      <li><a href="#Verso-de-Prompt-de-Comando-do-OS-2">Vers&atilde;o de Prompt de Comando do OS/2</a></li>
    </ul>
  </li>
  <li><a href="#LOCALIZAO">LOCALIZA&Ccedil;&Atilde;O</a>
    <ul>
      <li><a href="#PGINAS-DE-CDIGO-DO-WINDOWS">P&Aacute;GINAS DE C&Oacute;DIGO DO WINDOWS</a></li>
      <li><a href="#UNICODE">UNICODE</a>
        <ul>
          <li><a href="#UTF-8-no-Unix-Linux">UTF-8 no Unix/Linux</a></li>
          <li><a href="#UTF-16-no-Windows">UTF-16 no Windows</a></li>
          <li><a href="#UTF-8-no-Cygwin">UTF-8 no Cygwin</a></li>
        </ul>
      </li>
    </ul>
  </li>
  <li><a href="#ARQUIVOS">ARQUIVOS</a></li>
  <li><a href="#VARIVEIS-DE-AMBIENTE">VARI&Aacute;VEIS DE AMBIENTE</a></li>
  <li><a href="#VEJA-TAMBM">VEJA TAMB&Eacute;M</a></li>
  <li><a href="#AUTORES">AUTORES</a></li>
</ul>

<h1 id="NOME">NOME</h1>

<p>wcd - Wherever Change Directory</p>

<p>Chdir para Dos e Unix</p>

<h1 id="SINOPSE">SINOPSE</h1>

<pre><code>    wcd [op&ccedil;&otilde;es] [diret&oacute;rio]</code></pre>

<h1 id="DESCRIO">DESCRI&Ccedil;&Atilde;O</h1>

<h2 id="Viso-geral">Vis&atilde;o geral</h2>

<p>Wcd &eacute; um programa de linha de comando para mudar diret&oacute;rio rapidamente. Ele economiza tempo de digitar no teclado. &Eacute; preciso digitar apenas uma parte de um nome de diret&oacute;rio e wcd vai pular para ele. Wcd possui um m&eacute;todo de sele&ccedil;&atilde;o r&aacute;pida no caso de m&uacute;ltiplas correspond&ecirc;ncias e permite apelidamento (aliasing) e banimento de diret&oacute;rios. Wcd tamb&eacute;m inclui um navegador de &aacute;rvore de diret&oacute;rio interativa de tela cheia com pesquisa r&aacute;pida.</p>

<p>Wcd foi modelado com base no Norton Change Directory (NCD). NCD apareceu primeiro em <i>The Norton Utilities, vers&atilde;o 4</i>, para DOS em 1987, publicado por Peter Norton.</p>

<p>Wcd foi portado para diferentes shells de linha de comando: command.com do DOS, cmd.exe e PowerShell do Windows, cmd.exe do OS/2 e shells do Unix, como os shells Bourne (sh), Bourne Again (bash), Korn (ksh), Z (zsh) e C (csh) e outros funcionando em qualquer sistema operacional.</p>

<p>Wcd oferece suporte a conjuntos de caracteres de 8 bits em todos sistemas e possui suporte opcional a Unicode. Veja a se&ccedil;&atilde;o LOCALIZA&Ccedil;&Atilde;O.</p>

<p>Veja a se&ccedil;&atilde;o INSTALA&Ccedil;&Atilde;O para como instalar wcd para uso pessoal.</p>

<h2 id="Uso-bsico">Uso b&aacute;sico</h2>

<p>Por padr&atilde;o (se nenhum caractere curinga for usado), pesquisas wcd por um diret&oacute;rio com um nome que come&ccedil;a com o nome digitado.</p>

<p>Por exemplo, esse comando vai mudar para diret&oacute;rio para o <code>/home/user/Desktop</code> do usu&aacute;rio atual:</p>

<pre><code>    wcd Desk</code></pre>

<p>Quando houver m&uacute;ltiplas ocorr&ecirc;ncias, wcd apresentar&aacute; ao usu&aacute;rio uma lista de todas as ocorr&ecirc;ncias. O usu&aacute;rio poder&aacute;, ent&atilde;o, fazer uma sele&ccedil;&atilde;o pressionando com poucas teclas (na maioria das vezes, apenas uma).</p>

<h2 id="Caracteres-curingas">Caracteres curingas</h2>

<p>Wcd oferece suporte aos seguintes caracteres curingas:</p>

<pre><code>    *       corresponde qualquer sequ&ecirc;ncia de caracteres (zero ou mais)
    ?       corresponde qualquer caractere
    [SET]   corresponde qualquer caractere no conjunto especificado,
    [!SET]  ou [^SET] corresponde qualquer caractere ausente no conjunto.</code></pre>

<p>Um conjunto &eacute; composto de caracteres ou intervalos; um intervalo se parece com <i>caractere h&iacute;fen caractere</i> como em <code>0-9</code> ou <code>A-Z</code>. O <code>[0-9a-zA-Z_]</code> &eacute; o conjunto m&iacute;nimo de caracteres permitidos no construto padr&atilde;o <code>[..]</code>. Caracteres internacionais (ex.: caracteres de 8 bits) s&atilde;o permitidos se o sistema oferecer suporte a eles. Para suprimir a signific&acirc;ncia sint&aacute;tica especial de qualquer um entre <code>[]*?!^-\</code> dentro ou fora de um construto <code>[..]</code> e corresponder o caractere exato, precede o caractere com um marcador de barra invertida (<code>\</code>).</p>

<p>O uso de caracteres torna poss&iacute;vel um poderosa pesquisa. Por exemplo, isso pesquisa qualquer nome de diret&oacute;rio que termine com &quot;top&quot;:</p>

<pre><code>    wcd *top</code></pre>

<p>Corresponde diret&oacute;rios que tenham &quot;top&quot; em qualquer lugar no nome:</p>

<pre><code>    wcd *top*</code></pre>

<p>Corresponde qualquer nome de diret&oacute;rio que come&ccedil;a com &quot;a&quot;, &quot;b&quot; ou &quot;c&quot;:</p>

<pre><code>    wcd [a-c]*</code></pre>

<p>Tamb&eacute;m &eacute; poss&iacute;vel dar uma parte de um caminho de diret&oacute;rio. Aqui Wcd pesquisa por diret&oacute;rio que come&ccedil;a com &quot;Desk&quot; e cujo caminho corresponda a <i>*me/Desk*</i>.</p>

<pre><code>    wcd me/Desk</code></pre>

<p>&Eacute; permitido digitar qualquer tipo de express&atilde;o com barras e caracteres curingas. Ex.:</p>

<pre><code>    wcd src*/*1?/a*2</code></pre>

<h2 id="Outros-usos">Outros usos</h2>

<p>Se nenhum caractere curinga &eacute; usado e wcd encontra uma correspond&ecirc;ncia perfeita, wcd vai ignorar todas as correspond&ecirc;ncias curingas por padr&atilde;o. Esse comportamento pode se alterado com a op&ccedil;&atilde;o <b>-w</b>.</p>

<p>O navegador interativo de &aacute;rvore de diret&oacute;rio pode ser iniciado usando a op&ccedil;&atilde;o <b>-g</b>.</p>

<pre><code>    wcd -g</code></pre>

<p>Wcd gera um arquivo de dados de &aacute;rvore no qual ele pesquisa o diret&oacute;rio. Em sistemas Unix e Windows, wcd adiciona links simb&oacute;licos ao arquivo de dados de &aacute;rvore ao varrer o disco, mas n&atilde;o os segue. Enquanto segue links, wcd poderia acabar varrendo loops infinitos, ou varrer por&ccedil;&otilde;es muito grandes de uma rede.</p>

<p>Wcd tamb&eacute;m pode mudar para diret&oacute;rios que n&atilde;o estejam no arquivo de dados de &aacute;rvore. Ex.:</p>

<pre><code>    wcd ..</code></pre>

<p>Se wcd encontrou uma correspond&ecirc;ncia, mas n&atilde;o pode mudar para o diret&oacute;rio, ele tenta remov&ecirc;-lo do arquivo de dados de &aacute;rvore padr&atilde;o. Por&eacute;m, n&atilde;o remove o arquivo de dados de &aacute;rvore extra. Veja tamb&eacute;m a op&ccedil;&atilde;o <b>-k</b>.</p>

<p>Wcd mant&eacute;m uma pilha de diret&oacute;rios que &eacute; armazenada no disco. A pilha possui um tamanho padr&atilde;o de 10 e &eacute; c&iacute;clico. Veja as op&ccedil;&otilde;es <b>-z</b>, <b>-</b>, <b>+</b> e <b>=</b>.</p>

<p>Em ambientes multiusu&aacute;rios, a op&ccedil;&atilde;o <b>-u</b> pode ser usada para alterar para os diret&oacute;rios de outros usu&aacute;rios.</p>

<p>Nos sistemas DOS e Windows, n&atilde;o importa se voc&ecirc; usa uma barra (&quot;/&quot;) ou uma barra invertida (&quot;\&quot;) como separador de diret&oacute;rio.</p>

<p>&Eacute; poss&iacute;vel em sistemas DOS e Windows alterar a unidade e diret&oacute;rio de uma s&oacute; vez precedendo o nome do diret&oacute;rio com o nome da unidade.</p>

<pre><code>    wcd d:jogos</code></pre>

<h2 id="Caminhos-UNC-do-Windows">Caminhos UNC do Windows</h2>

<p>As vers&otilde;es Windows (Command Prompt, PowerShell, MSYS, zsh, cygwin) oferecem suporte a caminhos UNC de rede SMB do Windows sem letra de unidade tal como <code>\\nomeservidor\nomecompartilhamento</code>. Wcd para Prompt de Comando do Windows faz uso do comando &quot;pushd&quot; para mapear automaticamente um caminho UNC a uma letra de unidade. Em caminhos PowerShell do Windows, MSYS, zsh e Cygwin, h&aacute; suporte completo a caminhos UNC. O diret&oacute;rio de trabalho atual pode ser um caminho UNC.</p>

<h2 id="Redimensionamento-de-console-no-Windows">Redimensionamento de console no Windows</h2>

<p>Wcd possui suporte ao redimensionamento de console do Windows 10 e no ConEmu (consulte <a href="https://conemu.github.io/">https://conemu.github.io/</a>) desde a vers&atilde;o 6.0.3. O console do Windows 10 n&atilde;o deve estar no modo legado (verifique as propriedades do console). A tela pode n&atilde;o ser atualizada quando a propriedade de layout do console &quot;Ajustar sa&iacute;da de texto ao redimensionar&quot; estiver desabilitado. A tela pode ser atualizada manualmente pressionando a tecla F5.</p>

<h2 id="Interfaces">Interfaces</h2>

<p>Wcd possui tr&ecirc;s interfaces diferentes para escolher de uma lista de correspond&ecirc;ncias. A interface pode ser escolhida em tempo de compila&ccedil;&atilde;o.</p>

<p>A primeira interface usa stdin/stdout simples. Uma lista numerada &eacute; exibida no terminal. O usu&aacute;rio tem que escolher a partir da lista digitando um n&uacute;mero seguido por &lt;Enter&gt;. Essa interface n&atilde;o fornece funcionalidade de rolagem para cima em caso de uma lista longa. A capacidade de rolagem para cima do terminal/console tem que ser usada. &Eacute; bem pequena e port&aacute;til.</p>

<p>A segunda interface &eacute; feita com a biblioteca conio. Ela fornece uma capacidade embarcada de rolagem para cima. O usu&aacute;rio &eacute; apresentado a uma lista numerada com letras. A escolha de uma lista pode ser feita pressionando apenas uma letra. Essa interface &eacute; r&aacute;pida porque ela economiza pressionamentos de teclas. Se poss&iacute;vel, a tela ser&aacute; restaurada ap&oacute;s sair. Aquele que preferir digitar n&uacute;meros, pode usar a op&ccedil;&atilde;o <b>-N</b>.</p>

<p>A terceira interface &eacute; feita com a biblioteca curses. &Eacute; similar &agrave; interface conio. A vers&atilde;o curses do wcd tamb&eacute;m possui uma interface &quot;gr&aacute;fica&quot; adicional. Ela permite ao usu&aacute;rio selecionar um diret&oacute;rio por meio de um navegador de &aacute;rvore de diret&oacute;rio interativa em tela cheia. Ela possui um m&eacute;todo de pesquisa de navega&ccedil;&atilde;o tipo vim(1). Ela pode ser ativada com a op&ccedil;&atilde;o <b>-g</b>.</p>

<p>Ao usar a op&ccedil;&atilde;o <b>-o</b>, &eacute; sempre poss&iacute;vel voltar para a interface de stdin/stdout.</p>

<h1 id="OPES">OP&Ccedil;&Otilde;ES</h1>

<dl>

<dt id="a"><b>-a</b></dt>
<dd>

<p>Adiciona caminho atual ao arquivo de dados de &aacute;rvore padr&atilde;o.</p>

<p>Use essa op&ccedil;&atilde;o para adicionar rapidamente o caminho atual para o arquivo de dados de &aacute;rvore padr&atilde;o. Nova varredura do disco completo pode levar um longo tempo em alguns casos.</p>

</dd>
<dt id="aa"><b>-aa</b></dt>
<dd>

<p>Adiciona caminhos atual e seus respectivos pais ao arquivo de dados de &aacute;rvore padr&atilde;o.</p>

</dd>
<dt id="A-CAMINHO"><b>-A CAMINHO</b></dt>
<dd>

<p>Varre a &aacute;rvore de diret&oacute;rio do <i>CAMINHO</i> e anexa ao arquivo de dados de &aacute;rvore padr&atilde;o. Exemplos:</p>

<pre><code>    wcd -A .
    wcd -A /home -A /etc
    wcd -A d: -A e: -A \\servidor\compartilhamento</code></pre>

<p>No Windows, &eacute; poss&iacute;vel varrer todos os diret&oacute;rios compartilhados de um servidor de rede Windows digitando alguma coisa como: <code>wcd -A \\nomeservidor</code>.</p>

<p>Veja tamb&eacute;m as op&ccedil;&otilde;es <b>-S</b>, <b>-s</b> e <b>-E</b>.</p>

</dd>
<dt id="b"><b>-b</b></dt>
<dd>

<p>Bane o caminho atual.</p>

<p>Wcd coloca o caminho atual no arquivo de banimento. Isso significa que o wcd ignora todas as correspond&ecirc;ncias deste diret&oacute;rio e seus subdiret&oacute;rios.</p>

<p>O arquivo de banimento pode ser editado com um editor de texto. H&aacute; suporte ao uso de caracteres curingas e nome s&atilde;o combinados com o caminho absoluto.</p>

<p>Caminhos banidos n&atilde;o s&atilde;o exclu&iacute;dos da varredura do disco. Para fazer isso, use a op&ccedil;&atilde;o <b>-xf</b>.</p>

</dd>
<dt id="c---direct-cd"><b>-c, --direct-cd</b></dt>
<dd>

<p>Modo CD direto. Por padr&atilde;o, wcd funciona da seguinte forma:</p>

<pre><code>    1. Procura uma correspond&ecirc;ncia nos arquivos de dados de &aacute;rvore
    2. Se nada corresponder, tenta abrir o diret&oacute;rio que informado.</code></pre>

<p>No modo CD direto, wcd funciona na ordem inversa.</p>

<pre><code>    1. Tenta abrir o diret&oacute;rio que voc&ecirc; digitou.
    2. Se n&atilde;o, tenta uma correspond&ecirc;ncia no(s) arquivo(s) de
       dados de &aacute;rvore.</code></pre>

</dd>
<dt id="d-UNIDADE"><b>-d UNIDADE</b></dt>
<dd>

<p>Define a unidade para arquivos de empilhamento &amp; ir (DOS apenas).</p>

<p>O arquivo de pilha e o go-script s&atilde;o armazenados, por padr&atilde;o, na unidade C: se a vari&aacute;vel de ambiente <i>HOME</i> n&atilde;o estiver definida. Use essa op&ccedil;&atilde;o se a unidade C: for uma unidade somente leitura. Essa op&ccedil;&atilde;o deve ser usada na frente das op&ccedil;&otilde;es de pilha <b>-</b>, <b>+</b> e <b>=</b>.</p>

</dd>
<dt id="e"><b>-e</b></dt>
<dd>

<p>Adiciona caminho atual ao arquivo de dados de &aacute;rvore extra.</p>

<p>Use essa op&ccedil;&atilde;o para adicionar rapidamente o caminho atual ao arquivo de dados de &aacute;rvore extra.</p>

</dd>
<dt id="ee"><b>-ee</b></dt>
<dd>

<p>Adiciona caminhos atual e todos os pais ao arquivo de dados de &aacute;rvore padr&atilde;o.</p>

</dd>
<dt id="E-CAMINHO"><b>-E CAMINHO</b></dt>
<dd>

<p>Varre a &aacute;rvore de diret&oacute;rio de <i>CAMINHO</i> e anexa ao arquivo de dados de &aacute;rvore extra. Veja tamb&eacute;m as op&ccedil;&otilde;es <b>-A</b> e <b>-S</b>.</p>

</dd>
<dt id="f-ARQUIVO"><b>-f ARQUIVO</b></dt>
<dd>

<p>L&ecirc; o arquivo de dados de &aacute;rvore <i>ARQUIVO</i>. N&atilde;o l&ecirc; o arquivo de dados de &aacute;rvore padr&atilde;o.</p>

</dd>
<dt id="f-ARQUIVO1"><b>+f ARQUIVO</b></dt>
<dd>

<p>L&ecirc; o arquivo de dados de &aacute;rvore <i>ARQUIVO</i>, al&eacute;m do arquivo de dados de &aacute;rvore padr&atilde;o.</p>

</dd>
<dt id="g"><b>-g</b></dt>
<dd>

<p>Interface gr&aacute;fica (apenas na vers&atilde;o com interface curses).</p>

<p>Wcd inicia um curses textual baseado em interface &quot;gr&aacute;fica&quot;. O usu&aacute;rio pode selecionar um diret&oacute;rio por um navegador interativo de &aacute;rvore de diret&oacute;rios de tela cheia. Ele possui um m&eacute;todo e navega&ccedil;&atilde;o tipo vim(1).</p>

<p>Se nenhuma string de pesquisa for dada, wcd apresenta toda a &aacute;rvore que est&aacute; no arquivo de dados de &aacute;rvore padr&atilde;o e nos arquivos de dados de &aacute;rvore extras.</p>

<p>Se uma string de pesquisa for dada, a lista de correspond&ecirc;ncia &eacute; apresentada como uma &aacute;rvore de diret&oacute;rio.</p>

<p>O layout de &aacute;rvore padr&atilde;o &eacute; similar ao layout de &aacute;rvore do NCD original no DOS. A diferen&ccedil;a no layout &eacute; que no NCD todos os diret&oacute;rios do mesmo n&iacute;vel de profundidade eram alinhados verticalmente por toda a &aacute;rvore. Isso era poss&iacute;vel no NCD porque a largura m&aacute;xima de um nome de diret&oacute;rio no DOS era 12 (8,3) caracteres. Em sistemas operacionais modernos, nomes de diret&oacute;rio podem ser muito longos, assim como as diferen&ccedil;as no tamanho podem ser grandes. Portanto, pastas com uma mesma profundidade n&atilde;o s&atilde;o alinhadas verticalmente por toda a &aacute;rvore no wcd, mas apenas em sub-ramos. Ent&atilde;o, h&aacute; alguns movimentos laterais ao mover para cima ou para baixo de um sub-ramo para outro sub-ramo.</p>

<p>O comportamento de navega&ccedil;&atilde;o no Wcd &eacute; exatamente o mesmo que no NCD original. Por exemplo, se voc&ecirc; pressionar a tecla de seta para Baixo, voc&ecirc; desce para o pr&oacute;ximo diret&oacute;rio com o mesmo n&iacute;vel de profundidade, pulando por ramos. Isso permite navega&ccedil;&atilde;o r&aacute;pida pela &aacute;rvore.</p>

<p>Veja as op&ccedil;&otilde;es <b>-Ta</b>, <b>-TC</b> e <b>-Tc</b> para alterar o comportamento de navega&ccedil;&atilde;o.</p>

</dd>
<dt id="gd"><b>-gd</b></dt>
<dd>

<p>Despeja os arquivos de dados de &aacute;rvore como uma &aacute;rvore para stdout.</p>

</dd>
<dt id="G-CAMINHO"><b>-G CAMINHO</b></dt>
<dd>

<p>Escreve o go-script no diret&oacute;rio <i>CAMINHO</i>. Por exemplo no Unix, <code>wcd -G CAMINHO</code> vai escrever um go-script <b>CAMINHO/wcd.go</b>.</p>

</dd>
<dt id="GN---no-go-script"><b>-GN, --no-go-script</b></dt>
<dd>

<p>N&atilde;o cria go-script. Essa op&ccedil;&atilde;o pode ser usada em combina&ccedil;&atilde;o com a op&ccedil;&atilde;o <b>-j</b> caso n&atilde;o se deseje que o wcd crie um go-script.</p>

</dd>
<dt id="h---help"><b>-h, --help</b></dt>
<dd>

<p>Mostra a ajuda e sai.</p>

</dd>
<dt id="i---ignore-case"><b>-i, --ignore-case</b></dt>
<dd>

<p>Ignora a diferen&ccedil;a entre mai&uacute;sculo e min&uacute;sculo. Vers&otilde;es Dos e Windows do wcd ignoram tal diferen&ccedil;a por padr&atilde;o. Vers&otilde;es Unix/Cygwin levam em considera&ccedil;&atilde;o a mai&uacute;sculo e min&uacute;sculo por padr&atilde;o.</p>

</dd>
<dt id="i---no-ignore-case"><b>+i, --no-ignore-case</b></dt>
<dd>

<p>Considera a diferen&ccedil;a entre mai&uacute;sculo e min&uacute;sculo. Veja tamb&eacute;m a op&ccedil;&atilde;o <b>-i</b>.</p>

</dd>
<dt id="I---ignore-diacritics"><b>-I, --ignore-diacritics</b></dt>
<dd>

<p>Ignora diacr&iacute;ticos para scripts baseados em Latim. Letras com marcas diacr&iacute;ticas correspondem sua letra base sem marca diacr&iacute;tica. H&aacute; suporte &agrave;s seguintes codifica&ccedil;&otilde;es Latim: CP437, CP850, CP852, CP1250, CP1252, ISO-8859-1, ISO-8859-2 e Unicode Latim-1, Latim Estendido-A e Latim Estendido-B. Veja tamb&eacute;m <a href="http://en.wikipedia.org/wiki/Diacritic">http://en.wikipedia.org/wiki/Diacritic</a></p>

</dd>
<dt id="I---no-ignore-diacritics"><b>+I, --no-ignore-diacritics</b></dt>
<dd>

<p>Considera diacr&iacute;ticos (padr&atilde;o). Veja tamb&eacute;m a op&ccedil;&atilde;o <b>-I</b>.</p>

</dd>
<dt id="j---just-go"><b>-j, --just-go</b></dt>
<dd>

<p>Modo &quot;just go&quot;.</p>

<p>Neste modo, wcd n&atilde;o apresentar&aacute; uma lista quando houver mais de um diret&oacute;rio que corresponde ao diret&oacute;rio dado. Wcd vai apenas mudar para a primeira op&ccedil;&atilde;o. Quando wcd &eacute; invocado novamente com os mesmos argumentos, ele vai mudar para a pr&oacute;xima op&ccedil;&atilde;o, e por a&iacute; vai.</p>

<p>Wcd vai imprimir o diret&oacute;rio para ir para stdout. Ent&atilde;o, um m&eacute;todo de instala&ccedil;&atilde;o diferente pode ser usado. Pode-se fazer a seguinte fun&ccedil;&atilde;o para um shell compat&iacute;vel com POSIX:</p>

<pre><code>    wcd ()
    {
        cd &quot;$($HOME/bin/wcd.exe -j $@)&quot;
    }</code></pre>

<p>Quando voc&ecirc; est&aacute; usando um shell antigo que n&atilde;o oferece suporte o comando de substitui&ccedil;&atilde;o &quot;$()&quot;, voc&ecirc; tem que usar substitui&ccedil;&atilde;o de comando estilo antigo com acento grave (&quot;back-quote&quot;).</p>

<pre><code>    wcd ()
    {
        cd &quot;`$HOME/bin/wcd.exe -j $@`&quot;
    }</code></pre>

<p>Em sistemas Windows, se estiver executando shell 4NT, pode-se usar o seguinte alias:</p>

<pre><code>    alias wcd `cd %@execstr[wcdwin32.exe -z 0 -j %1]`</code></pre>

<p>Esse m&eacute;todo elimina a necessidade do go-script, ent&atilde;o pode-se usar a op&ccedil;&atilde;o <b>-GN</b> em combina&ccedil;&atilde;o com <b>-j</b>.</p>

</dd>
<dt id="k---keep-paths"><b>-k, --keep-paths</b></dt>
<dd>

<p>Mant&eacute;m caminhos.</p>

<p>Mant&eacute;m caminhos no arquivo de dados de &aacute;rvore quando wcd n&atilde;o consegue mudar para eles. O comportamento padr&atilde;o de wcd &eacute; tentar remover caminhos dos dados de &aacute;rvore quando wcd n&atilde;o puder mudar para eles. Com essa op&ccedil;&atilde;o, esse comportamento &eacute; desativado.</p>

</dd>
<dt id="K---color"><b>-K, --color</b></dt>
<dd>

<p>Usa cores no modo gr&aacute;fico.</p>

</dd>
<dt id="l-ALIAS"><b>-l ALIAS</b></dt>
<dd>

<p>Nome do caminho atual com <i>ALIAS</i>. Wcd coloca o caminho atual com alias <i>ALIAS</i> no arquivo de alias. Aliases diferenciam mai&uacute;sculo de min&uacute;sculo.</p>

</dd>
<dt id="ls"><b>-ls</b></dt>
<dd>

<p>Mostra o nome do arquivo de alias e lista todos os aliases.</p>

</dd>
<dt id="m-DIR"><b>-m DIR</b></dt>
<dd>

<p>Cria o diret&oacute;rio e adiciona o arquivo de dados de &aacute;rvore.</p>

</dd>
<dt id="L---license"><b>-L, --license</b></dt>
<dd>

<p>Exibe a licen&ccedil;a de distribui&ccedil;&atilde;o.</p>

</dd>
<dt id="M-DIR"><b>-M DIR</b></dt>
<dd>

<p>Cria o diret&oacute;rio e adiciona o arquivo de dados de &aacute;rvore extra.</p>

</dd>
<dt id="n-CAMINHO"><b>-n CAMINHO</b></dt>
<dd>

<p>L&ecirc; o arquivo de dados de &aacute;rvore relativos a partir de <i>CAMINHO</i>.</p>

<p>N&atilde;o l&ecirc; o arquivo de dados de &aacute;rvore padr&atilde;o. O arquivo de dados de &aacute;rvore relativos j&aacute; deve ter sido criado usando a op&ccedil;&atilde;o <b>+S</b> do wcd. <i>CAMINHO</i> tamb&eacute;m pode apontar para um arquivo diretamente.</p>

<p>Um exemplo. Suponha que um outro sistema montou no ponto de montagem <code>/mnt/rede</code>:</p>

<pre><code>    wcd -n /mnt/rede src</code></pre>

<p>Wcd abre o arquivo de dados de &aacute;rvore relativo em <code>/mnt/rede/</code>. O arquivo cont&eacute;m os caminhos relativos a partir daquele ponto.</p>

</dd>
<dt id="n-CAMINHO1"><b>+n CAMINHO</b></dt>
<dd>

<p>L&ecirc; arquivo de dados de &aacute;rvore relativos, al&eacute;m do arquivo de dados de &aacute;rvore padr&atilde;o. Veja a op&ccedil;&atilde;o <b>-n</b>.</p>

</dd>
<dt id="N---numbers"><b>-N, --numbers</b></dt>
<dd>

<p>Usa n&uacute;meros em vez de letras.</p>

<p>Wcd com um interface baseada no conio ou curses (veja a se&ccedil;&atilde;o Interfaces) apresenta uma lista de correspond&ecirc;ncia numerada com letras por padr&atilde;o. Quando a op&ccedil;&atilde;o <b>-N</b> &eacute; usada, a lista de correspond&ecirc;ncia &eacute; numerada com n&uacute;meros. Independente da op&ccedil;&atilde;o <b>-N</b>, pode-se digitar uma letra ou n&uacute;mero para fazer uma sele&ccedil;&atilde;o a partir da lista de correspond&ecirc;ncias.</p>

</dd>
<dt id="o"><b>-o</b></dt>
<dd>

<p>Usa interface de stdin/stdout.</p>

<p>Quando por algum motivo a interface conio ou curses do wcd n&atilde;o funcionar, pode-se usar a interface stdin/stdout do wcd usando a op&ccedil;&atilde;o <b>-o</b>.</p>

</dd>
<dt id="od---to-stdout"><b>-od, --to-stdout</b></dt>
<dd>

<p>Despeja todas as correspond&ecirc;ncias para a stdout.</p>

</dd>
<dt id="q---quiet"><b>-q, --quiet</b></dt>
<dd>

<p>Opera&ccedil;&atilde;o mais silenciosa. A exibi&ccedil;&atilde;o da correspond&ecirc;ncia final &eacute; suprimida.</p>

</dd>
<dt id="r-DIR"><b>-r DIR</b></dt>
<dd>

<p>Remove o diret&oacute;rio e remove o arquivo de dados de &aacute;rvore.</p>

<p>Se o diret&oacute;rio estiver vazio, wcd vai remov&ecirc;-lo e tamb&eacute;m vai tentar remov&ecirc;-lo do arquivo de dados de &aacute;rvore.</p>

</dd>
<dt id="rmtree-DIR"><b>-rmtree DIR</b></dt>
<dd>

<p>Remove recursivamente o diret&oacute;rio e remove o arquivo de dados de &aacute;rvore.</p>

<p>Wcd vai remover o diret&oacute;rio e todos seus subdiret&oacute;rios e arquivos, e remove os diret&oacute;rios do arquivo de dados de &aacute;rvore.</p>

</dd>
<dt id="s"><b>-s</b></dt>
<dd>

<p>Varre (novamente) o disco a partir do diret&oacute;rio <code>$HOME</code>. Se <i>HOME</i> n&atilde;o estiver definido, o disco &eacute; varrido a partir do diret&oacute;rio raiz /.</p>

<p>O arquivo de dados de &aacute;rvore existente &eacute; sobrescrito.</p>

<p>O diret&oacute;rio de varredura padr&atilde;o pode ser sobreposto com a vari&aacute;vel de ambiente <code>WCDSCAN</code>. Veja a se&ccedil;&atilde;o VARI&Aacute;VEIS DE AMBIENTE.</p>

</dd>
<dt id="S-CAMINHO"><b>-S CAMINHO</b></dt>
<dd>

<p>Varre a &aacute;rvore de diret&oacute;rios a partir de <i>CAMINHO</i> e sobrescreve o arquivo de dados de &aacute;rvore padr&atilde;o. Veja tamb&eacute;m as op&ccedil;&otilde;es <b>-A</b>, <b>-s</b> e <b>-E</b>. Por exemplo, com a op&ccedil;&atilde;o <b>-A</b> voc&ecirc; pode criar um arquivo de dados de &aacute;rvore padr&atilde;o de sua escolha. Exemplos:</p>

<p>Unix:</p>

<pre><code>    wcd -S /
    wcd -S /home -A /etc -A /usr</code></pre>

<p>DOS/Windows:</p>

<pre><code>    wcd -S c:/
    wcd -S c: -A d: -A \\servidor\compartilhamento</code></pre>

<p>Com as vers&otilde;es Windows, &eacute; poss&iacute;vel varrer todos os diret&oacute;rios compartilhados de um servidor de rede Windows digitando alguma coisa como: <code>wcd -A \\nomeservidor</code>.</p>

</dd>
<dt id="S-CAMINHO1"><b>+S CAMINHO</b></dt>
<dd>

<p>Varre o disco a partir de <i>CAMINHO</i> e coloca caminhos relativos em um arquivo de dados de &aacute;rvore relativos. Esse arquivo &eacute; usado pelas op&ccedil;&otilde;es <b>-n</b> e <b>+n</b> do wcd. Por exemplo, <code>wcd -n CAMINHO src</code>.</p>

</dd>
<dt id="t"><b>-t</b></dt>
<dd>

<p>N&atilde;o remove o diret&oacute;rio de montagem tempor&aacute;rio <code>/tmp_mnt</code> (Unix apenas)</p>

<p>Wcd remove por padr&atilde;o <code>/tmp_mnt/</code> da lista de correspond&ecirc;ncia. O diret&oacute;rio <code>/tmp_mnt</code> &eacute; usado pelo montador autom&aacute;tico. Esse comportamento pode ser desativado com a op&ccedil;&atilde;o <b>-t</b>.</p>

</dd>
<dt id="T---ascii-tree"><b>-T, --ascii-tree</b></dt>
<dd>

<p>Desenha a &aacute;rvore com caracteres ASCII. Use essa op&ccedil;&atilde;o se os caracteres de desenho de linha n&atilde;o forem exibidos adequadamente em seu terminal.</p>

</dd>
<dt id="Ta---alt-tree-nav"><b>-Ta, --alt-tree-nav</b></dt>
<dd>

<p>Forma alternativa de navega&ccedil;&atilde;o na &aacute;rvore gr&aacute;fica.</p>

<p>No layout de &aacute;rvore de estilo padr&atilde;o do NCD a op&ccedil;&atilde;o <b>-Ta</b> desabilita pular para diret&oacute;rios n&atilde;o relacionados.</p>

<p>No modo de &aacute;rvore compacta, o modo alternativo faz navega&ccedil;&atilde;o similar &agrave; dos gerenciadores de arquivo GUI como o Windows Explorer ou Linux KDE Konqueror. Pressionar Cima e Baixo move a pasta selecionada uma linha para cima ou para baixo. Pressionar Esquerda primeiro dobra as subpastas e o pr&oacute;ximo movimento para Esquerda realmente move para esquerda.</p>

<p>Voc&ecirc; alternar em tempo real entre a navega&ccedil;&atilde;o padr&atilde;o e alternativa pressionando &lt;Shift-A&gt;.</p>

<p>Quando o modo de navega&ccedil;&atilde;o alternativa estiver ativado, voc&ecirc; ver&aacute; um &quot;A&quot; no canto inferior direito.</p>

</dd>
<dt id="TC---center-tree"><b>-TC, --center-tree</b></dt>
<dd>

<p>Vis&atilde;o centralizada na &aacute;rvore gr&aacute;fica. O diret&oacute;rio selecionado se mant&eacute;m no meio da tela. O modo centralizado tamb&eacute;m pode ser ativado e desativado com a tecla &lt;t&gt; na &aacute;rvore gr&aacute;fica.</p>

<p>O comportamento padr&atilde;o n&atilde;o centralizado, que minimiza o movimento de &aacute;rvore, &eacute; o mesmo que no NCD original.</p>

</dd>
<dt id="Tc---compact-tree"><b>-Tc, --compact-tree</b></dt>
<dd>

<p>Por padr&atilde;o, a &aacute;rvore &quot;gr&aacute;fica&quot; &eacute; desenhada da mesma forma que o NCD original no DOS. No DOS, um caminho de diret&oacute;rio s&oacute; poderia ter 66 caracteres no total. Com as estruturas de diret&oacute;rio profundas de hoje, a &aacute;rvore pode se tornar bem ampla. Para superar isso, wcd pode desenhar a &aacute;rvore em uma forma compacta, similar a maioria dos gerenciadores de arquivos GUI, com apenas uma pasta por linha. Use a op&ccedil;&atilde;o <b>-Tc</b> ou alterne em tempo real com a chave &lt;m&gt;.</p>

</dd>
<dt id="Td---cjk-width"><b>-Td, --cjk-width</b></dt>
<dd>

<p>Fontes CJK (chin&ecirc;s, japon&ecirc;s e coreano) legadas da &Aacute;sia Oriental possuem certos caracteres e s&iacute;mbolos de desenho de linha com uma largura de coluna de 2, enquanto a largura normal do Unicode para esses caracteres &eacute; 1 coluna. Por exemplo, a fonte raster chinesa CP936 no Windows e a fonte Simsun. Use essa op&ccedil;&atilde;o para um tra&ccedil;ado correto da &aacute;rvore gr&aacute;fica quando uma fonte CJK legada &eacute; usada.</p>

<p>Quando o modo CJK estiver ativado, voc&ecirc; ver&aacute; um &quot;C&quot; no canto inferior direito.</p>

</dd>
<dt id="u-USURIO"><b>-u USU&Aacute;RIO</b></dt>
<dd>

<p>Varre o arquivo de dados de &aacute;rvore de outro usu&aacute;rio baseado em <i>USU&Aacute;RIO</i> em vez de varrer o pr&oacute;prio arquivo de dados de &aacute;rvore padr&atilde;o. Veja tamb&eacute;m a se&ccedil;&atilde;o VARI&Aacute;VEIS DE AMBIENTE por <i>WCDUSERSHOME</i>.</p>

<p>No Unix/Cygwin, o diret&oacute;rio base para diret&oacute;rios home de usu&aacute;rios &eacute; presumido ser <code>/home</code>. Wcd vai procurar por <code>/home/USU&Aacute;RIO/.treedata.wcd</code> e <code>/home/USU&Aacute;RIO/.wcd/.treedata.wcd</code>, naquela ordem, e l&ecirc; a primeira que existe e &eacute; leg&iacute;vel. No DOS/Windows, o diret&oacute;rio base para diret&oacute;rios home de usu&aacute;rios &eacute; presumido ser <code>\\users</code>, ent&atilde;o o wcd tenta ler <code>\\users\USU&Aacute;RIO\treedata.wcd</code> e <code>\\users\USU&Aacute;RIO\.wcd\treedata.wcd</code>.</p>

</dd>
<dt id="u-USURIO1"><b>+u USU&Aacute;RIO</b></dt>
<dd>

<p>L&ecirc; o arquivo de dados de &aacute;rvore padr&atilde;o do USU&Aacute;RIO, al&eacute;m do pr&oacute;prio arquivo de dados de &aacute;rvore.</p>

</dd>
<dt id="v---verbose"><b>-v, --verbose</b></dt>
<dd>

<p>Exibe mensagens verbosas. Com essa op&ccedil;&atilde;o, wcd exibe todos os filtros, banimentos e exclus&otilde;es.</p>

</dd>
<dt id="V---version"><b>-V, --version</b></dt>
<dd>

<p>Exibe informa&ccedil;&otilde;es da vers&atilde;o e sai.</p>

</dd>
<dt id="w---wild-match-only"><b>-w, --wild-match-only</b></dt>
<dd>

<p>Correspond&ecirc;ncia curinga, apenas. Trata todas as correspond&ecirc;ncias como correspond&ecirc;ncias curingas.</p>

</dd>
<dt id="x-CAMINHO"><b>-x CAMINHO</b></dt>
<dd>

<p>Exclui <i>CAMINHO</i> da varredura.</p>

<p>Quando essa op&ccedil;&atilde;o &eacute; usada, wcd vai excluir <i>CAMINHO</i> e todos seus subdiret&oacute;rios quando wcd est&aacute; varrendo um disco. H&aacute; suporte a caracteres curingas, os quais s&atilde;o correspondidos com os caminhos absolutos. A op&ccedil;&atilde;o <b>-x</b> pode ser usado m&uacute;ltiplas vezes.</p>

<pre><code>    wcd -x &lt;caminho1&gt; -x &lt;caminho2&gt; -s</code></pre>

<p>A op&ccedil;&atilde;o <b>-x</b> deve ser usada na frente da qualquer op&ccedil;&atilde;o de varredura (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

<p>Em sistemas DOS/Windows, deve-se especificar a letra da unidade dependendo de se a vari&aacute;vel de ambiente <i>HOME</i> ou <i>WCDHOME</i> est&aacute; definida. Se <i>HOME</i> ou <i>WCDHOME</i> estiver definida, &eacute; necess&aacute;rio especificar a letra da unidade. Um exemplo:</p>

<pre><code>    wcd -x c:/temp -S c:</code></pre>

<p>Do contr&aacute;rio, n&atilde;o especifique a letra da unidade.</p>

<pre><code>    wcd -x /temp -s</code></pre>

</dd>
<dt id="xf-ARQUIVO"><b>-xf ARQUIVO</b></dt>
<dd>

<p>Exclui todos caminhos listados no <i>ARQUIVO</i> da varredura.</p>

<p>Quando essa op&ccedil;&atilde;o &eacute; usada, wcd vai excluir todos os caminhos listados no <i>ARQUIVO</i> e todos seus subdiret&oacute;rios quando o wcd estiver varrendo um disco. H&aacute; suporte a caracteres curingas, os quais s&atilde;o correspondidos com os caminhos absolutos; um caminho por linha. Esteja ciente que wcd n&atilde;o vai ignorar espa&ccedil;os em brancos no in&iacute;cio ou fim de uma linha, porque eles s&atilde;o caracteres legais em um nome de diret&oacute;rio. A op&ccedil;&atilde;o <b>-xf</b> pode ser usado m&uacute;ltiplas vezes. Quando se deseja excluir todos os caminhos banidos da varredura, pode-se fazer o seguinte (exemplo para wcd no Unix):</p>

<pre><code>    wcd -xf ~/.ban.wcd -s</code></pre>

<p>H&aacute; suporte a caracteres curingas. Por exemplo, para excluir todos os seus diret&oacute;rios Subversion com arquivos administrativos, adicione uma linha com <code>*/.svn</code>.</p>

<p>A op&ccedil;&atilde;o <b>-xf</b> deve ser usada na frente da qualquer op&ccedil;&atilde;o de varredura (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

</dd>
<dt id="y---assume-yes"><b>-y, --assume-yes</b></dt>
<dd>

<p>Presume &quot;Sim&quot; para todas as perguntas.</p>

<p>Wcd n&atilde;o vai consultar o usu&aacute;rio com perguntas de sim/n&atilde;o, mas presume que o usu&aacute;rio responde sim em todas as perguntas. Isso pode ser usado em combina&ccedil;&atilde;o com a op&ccedil;&atilde;o <b>-rmtree</b>. Essa op&ccedil;&atilde;o deve ser usada na frente das op&ccedil;&otilde;es que podem levar a perguntas sim/n&atilde;o.</p>

</dd>
<dt id="z-NMERO"><b>-z N&Uacute;MERO</b></dt>
<dd>

<p>Define um tamanho m&iacute;nimo da pilha com N&Uacute;MERO.</p>

<p>O tamanho padr&atilde;o da pilha &eacute; 10. Opera&ccedil;&atilde;o de pilha pode ser desativado ao definir o tamanho com 0. Essa op&ccedil;&atilde;o deve ser usada na frente de qualquer outra opera&ccedil;&atilde;o de pilha (<b>-</b>,<b>+</b>,<b>=</b>). Do contr&aacute;rio, o tamanho da pilha ser&aacute; definido de volta para o padr&atilde;o 10.</p>

<p>O comando correto &eacute;:</p>

<pre><code>    wcd -z 50 -</code></pre>

<p>O novo tamanho de pulha ser&aacute; 50, wcd ir&aacute; uma diret&oacute;rio para tr&aacute;s. Um comando errado &eacute;:</p>

<pre><code>    wcd - -z 50</code></pre>

<p>Wcd vai um diret&oacute;rio para tr&aacute;s, a pilha obt&eacute;m o tamanho padr&atilde;o 10. O <b>-z 50</b> &eacute; ignorado.</p>

<p>Adicione essa op&ccedil;&atilde;o como a primeira op&ccedil;&atilde;o a seu alias ou fun&ccedil;&atilde;o de wcd. Por exemplo, para um shell compat&iacute;vel com POSIX, isso seria:</p>

<pre><code>    wcd ()
    {
        wcd.exe -z 50 &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

</dd>
<dt id="NMERO"><b>-[N&Uacute;MERO]</b></dt>
<dd>

<p>Adiciona diret&oacute;rio N&Uacute;MERO de vezes. O padr&atilde;o &eacute; um.</p>

<p>Volta um diret&oacute;rio. O comando <code>wcd -</code> volta apenas um diret&oacute;rio. Para voltar mais diret&oacute;rios, adicione um n&uacute;mero. Por exemplo, o comando <code>wcd -3</code>. A pilha &eacute; c&iacute;clica.</p>

</dd>
<dt id="NMERO1"><b>+[N&Uacute;MERO]</b></dt>
<dd>

<p>Retira diret&oacute;rio N&Uacute;MERO de vezes. O padr&atilde;o &eacute; um.</p>

<p>Avan&ccedil;a um diret&oacute;rio. O comando <code>wcd +</code> avan&ccedil;a apenas um diret&oacute;rio. Para avan&ccedil;ar mais diret&oacute;rios, adicione um n&uacute;mero. Por exemplo, o comando <code>wcd +2</code>. A pilha &eacute; c&iacute;clica.</p>

</dd>
<dt id="pod"><b>=</b></dt>
<dd>

<p>Mostra a pilha.</p>

<p>Use essa op&ccedil;&atilde;o se voc&ecirc; n&atilde;o sabe mais quantas vezes adicionar ou retirar. A pilha &eacute; exibida e voc&ecirc; pode escolher um n&uacute;mero. O lugar atual na pilha &eacute; marcado com um asterisco <code>*</code>.</p>

</dd>
</dl>

<h1 id="INSTALAO">INSTALA&Ccedil;&Atilde;O</h1>

<p>O diret&oacute;rio de trabalho atual de um shell do Unix s&oacute; pode ser mudado pelo comando embarcado cd(1). Portanto, o programa &eacute; sempre chamado por uma fun&ccedil;&atilde;o ou um alias. A fun&ccedil;&atilde;o ou alias serve de fonte para um script shell (go-script) que &eacute; gerado pelo programa wcd. Wcd s&oacute; pode funcionar ap&oacute;s a fun&ccedil;&atilde;o ou o alias ser definido.</p>

<p>Uma outra influ&ecirc;ncia importante em sua instala&ccedil;&atilde;o &eacute; a defini&ccedil;&atilde;o de vari&aacute;veis de ambiente <i>HOME</i> e <i>WCDHOME</i>. Veja a se&ccedil;&atilde;o VARI&Aacute;VEIS DE AMBIENTE.</p>

<h2 id="Instalao-para-shells-de-tipo-POSIX">Instala&ccedil;&atilde;o para shells de tipo POSIX</h2>

<p>Para um shell POSIX (ksh, bash, zsh etc.) no Unix, Linux, Cygwin ou MSYS nativo, adicione a seguinte fun&ccedil;&atilde;o ao arquivo de inicializa&ccedil;&atilde;o do shell (ex.: Bash usa <code>$HOME/.bashrc</code>):</p>

<pre><code>    wcd ()
    {
        CAMINHO/wcd.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

<p>Substitua <i>CAMINHO</i> com a localiza&ccedil;&atilde;o onde o execut&aacute;vel wcd foi instalado. Recarregue os arquivos de inicializa&ccedil;&atilde;o do shell ou inicie o novo shell.</p>

<p>A localiza&ccedil;&atilde;o do go-script <code>wcd.go</code> se difere por shell.</p>

<p>Wcd para bash de DOS do DJGPP e bash de OS/2 exige uma fun&ccedil;&atilde;o diferente. O go-script n&atilde;o &eacute; escrito em um diret&oacute;rio <code>bin</code>, e se <i>WCDHOME</i> e <i>HOME</i> n&atilde;o est&atilde;o definidos, o go-script &eacute; escrito no c:/.</p>

<p>Bash de DOS:</p>

<pre><code>    wcd ()
    {
        CAMINHO/wcdbash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>Bash de OS/2:</p>

<pre><code>    wcd ()
    {
        CAMINHO/wcdos2bash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>A vers&atilde;o WinZsh do wcd exige uma fun&ccedil;&atilde;o um pouco diferente. O go-script nunca vai ser escrito no c:/.</p>

<pre><code>    wcd ()
    {
        CAMINHO/wcdwin32zsh.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/wcd.go
    }</code></pre>

<p>Veja a se&ccedil;&atilde;o ARQUIVOS para mais informa&ccedil;&otilde;es.</p>

<h2 id="Instalao-para-shells-parecidos-com-C-csh-tcsh">Instala&ccedil;&atilde;o para shells parecidos com C (csh, tcsh)</h2>

<p>Adicione o seguinte alias para o arquivo de inicializa&ccedil;&atilde;o de shell <code>$HOME/.cshrc</code> ou <code>$HOME/.tcshrc</code> :</p>

<pre><code>    if ( ${?WCDHOME} ) then
        alias wcd &quot;CAMINHO/wcd.exe \!* ; source $WCDHOME/bin/wcd.go&quot;
    else
        alias wcd &quot;CAMINHO/wcd.exe \!* ; source $HOME/bin/wcd.go&quot;
    endif</code></pre>

<p>Substitua <i>CAMINHO</i> com a localiza&ccedil;&atilde;o onde o execut&aacute;vel wcd foi instalado. Recarregue os arquivos de inicializa&ccedil;&atilde;o do shell ou inicie um novo shell.</p>

<h2 id="Verso-para-Prompt-de-Comando-do-Windows">Vers&atilde;o para Prompt de Comando do Windows</h2>

<p>Descompacte o arquivo zip e adicione o diret&oacute;rio <code>bin</code> &agrave; sua vari&aacute;vel de ambiente <i>PATH</i>.</p>

<p>No Prompt de Comando do Windows, um programa Windows n&atilde;o pode mudar o diret&oacute;rio de trabalho atual, mas um arquivo .bat pode. O script batch <code>wcd.bat</code> executa o programa que gera um novo script batch <code>wcdgo.bat</code>. Ent&atilde;o, <code>wcd.bat</code> executa <code>wcdgo.bat</code> que, finalmente, muda o diret&oacute;rio.</p>

<h2 id="Windows-VISTA-ou-maios-novo">Windows VISTA ou maios novo</h2>

<p>Em um Prompt de Comando do Windows VISTA, ou mais novo, voc&ecirc; pode ter acesso limitado aos diret&oacute;rios. Para obter acesso a mais diret&oacute;rios voc&ecirc; precisa de permiss&otilde;es administrativas. Voc&ecirc; pode obter um Prompt de Comando com permiss&otilde;es administrativas se voc&ecirc; clicar com bot&atilde;o direito do mouse no &iacute;cone do Prompt de Comando e selecionar <i>Executar como administrador</i>.</p>

<h2 id="Verso-para-PowerShell-do-Windows">Vers&atilde;o para PowerShell do Windows</h2>

<p>Adicione a seguinte fun&ccedil;&atilde;o a seu perfil de usu&aacute;rio PowerShell. A localiza&ccedil;&atilde;o deste perfil &eacute; armazenada na vari&aacute;vel $profile. &Eacute; necess&aacute;rio que uma das vari&aacute;veis de ambiente <i>HOME</i> ou <i>WCDHOME</i> esteja definida.</p>

<pre><code>    function wcd
    {
        CAMINHO\wcdwin32psh.exe $args
        &amp; $env:HOME\wcdgo.ps1
    }</code></pre>

<p>Substitua <i>CAMINHO</i> com a localiza&ccedil;&atilde;o na qual o execut&aacute;vel wcd foi instalado. Inicie um novo PowerShell. Wcd para PowerShell s&oacute; oferece suporte ao provedor de sistema de arquivo. A nenhum outro provedor.</p>

<h2 id="Verso-de-Prompt-de-Comando-do-OS-2">Vers&atilde;o de Prompt de Comando do OS/2</h2>

<p>Em um Prompt de Comando de OS/2 (cmd.exe), um programa do OS/2 n&atilde;o pode mudar o diret&oacute;rio de trabalho atual. &Eacute; por isso que o wcd gera um script de comando <code>wcdgo.cmd</code> que deve ser executado no shell atual. O script <code>wcd.cmd</code> primeiro executa <code>wcdos2.exe</code>, o qual cria o script <code>wcdgo.cmd</code>. Ent&atilde;o, <code>wcd.cmd</code> executa o script <code>wcdgo.cmd</code>.</p>

<h1 id="LOCALIZAO">LOCALIZA&Ccedil;&Atilde;O</h1>

<dl>

<dt id="LANG"><b>LANG</b></dt>
<dd>

<p>O idioma principal &eacute; selecionado com a vari&aacute;vel de ambiente <i>LANG</i>. A vari&aacute;vel <i>LANG</i> consiste em diversas partes. A primeira parte est&aacute; em letras min&uacute;sculas do c&oacute;digo do idiomas. A segunda &eacute; opcional e &eacute; o pa&iacute;s do c&oacute;digo em letras mai&uacute;sculas, precedida com um sublinhado. H&aacute; tamb&eacute;m uma terceira parte opcional: codifica&ccedil;&atilde;o de caracteres, precedida com um ponto. Alguns poucos exemplos para shells de tipo padr&atilde;o POSIX:</p>

<pre><code>    export LANG=nl               Holand&ecirc;s
    export LANG=nl_NL            Holand&ecirc;s, Holanda
    export LANG=nl_BE            Holand&ecirc;s, B&eacute;lgica
    export LANG=es_ES            Espanhol, Espanha
    export LANG=es_MX            Espanhol, M&eacute;xico
    export LANG=en_US.iso88591   Ingl&ecirc;s, EUA, codifica&ccedil;&atilde;o Latin-1</code></pre>

<p>Para uma lista completa de c&oacute;digos de idioma e pa&iacute;s, veja o manual do gettext(1): <a href="http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes">http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes</a> Em sistemas Unix, voc&ecirc; pode usar o comando locale(1) para obter informa&ccedil;&otilde;es espec&iacute;ficas de localidade.</p>

</dd>
<dt id="LANGUAGE"><b>LANGUAGE</b></dt>
<dd>

<p>Coma a vari&aacute;vel de ambiente <i>LANGUAGE</i> voc&ecirc; pode especificar uma lista de prioridade de idiomas, separada por caracteres de dois pontos. Wcd d&aacute; prefer&ecirc;ncia a <i>LANGUAGE</i> sobre <i>LANG</i>. Por exemplo, primeiro holand&ecirc;s e depois alem&atilde;o: <code>LANGUAGE=nl:de</code>. Voc&ecirc; tem que primeiro habilitar a localiza&ccedil;&atilde;o, definindo <i>LANG</i> ou <i>LC_ALL</i> para um outro valor al&eacute;m de <i>C</i>, antes que voc&ecirc; possa usar uma lista de prioridade de idiomas por meio da vari&aacute;vel <i>LANGUAGE</i>. Veja tamb&eacute;m o manual do gettext (1): <a href="http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable">http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable</a></p>

<p>Se voc&ecirc; selecionou um idioma que n&atilde;o est&aacute; dispon&iacute;vel, voc&ecirc; ter&aacute; as mensagens padr&otilde;es em ingl&ecirc;s.</p>

</dd>
<dt id="WCDLOCALEDIR"><b>WCDLOCALEDIR</b></dt>
<dd>

<p>Com a vari&aacute;vel de ambiente <i>WCDLOCALEDIR</i>, o valor de <i>LOCALEDIR</i> usado durante a compila&ccedil;&atilde;o e instala&ccedil;&atilde;o de wcd pode ser sobreposto. <i>LOCALEDIR</i> &eacute; usado pelo wcd com suporte nativo a idioma para localizar os arquivos de idioma. O valor padr&atilde;o do GNU &eacute; <code>/usr/local/share/locale</code>. Ao digitar <code>wcd -V</code>, wcd vai exibir o <i>LOCALEDIR</i> que &eacute; usado.</p>

<p>Se voc&ecirc; instalou o wcd em um diret&oacute;rio diferente do diret&oacute;rio padr&atilde;o, voc&ecirc; pode precisar definir a vari&aacute;vel de ambiente <i>WCDLOCALEDIR</i> para apontar para o diret&oacute;rio da localidade.</p>

<p>Um exemplo para cmd do Windows:</p>

<pre><code>    set WCDLOCALEDIR=c:/meu_prefixo/share/locale</code></pre>

<p>Um exemplo para shell POSIX:</p>

<pre><code>    export WCDLOCALEDIR=$HOME/share/locale</code></pre>

</dd>
<dt id="LC_COLLATE"><b>LC_COLLATE</b></dt>
<dd>

<p>Quando h&aacute; m&uacute;ltiplas correspond&ecirc;ncias de diret&oacute;rio, wcd apresenta uma lista ordenada. As ordena&ccedil;&atilde;o de depend&ecirc;ncias nas configura&ccedil;&otilde;es de localidade. Se a vari&aacute;vel de ambiente <i>LANG</i> foi definida, as correspond&ecirc;ncias s&atilde;o ordenadas como dicion&aacute;rios ou agendas telef&ocirc;nicas s&atilde;o ordenadas naquele idioma. Por exemplo, pontos e tra&ccedil;os s&atilde;o ignorados, ou letras &quot;e&quot; com e sem acento s&atilde;o iguais, ou a diferen&ccedil;a entre min&uacute;sculo e mai&uacute;sculo &eacute; ignorada.</p>

<p>A ordena&ccedil;&atilde;o d&aacute; prefer&ecirc;ncia para a vari&aacute;vel de ambiente <i>LC_COLLATE</i> sobre <i>LANG</i>. Se voc&ecirc; definir <i>LC_COLLATE</i> com valor <code>C</code> ou <code>POSIX</code>, a ordena&ccedil;&atilde;o de localidade &eacute; desativada. Por exemplo, se voc&ecirc; deseja o idioma holand&ecirc;s, mas n&atilde;o deseja a ordena&ccedil;&atilde;o holandesa, voc&ecirc; pode fazer algo como isso:</p>

<pre><code>    export LANG=nl_NL
    export LC_COLLATE=C</code></pre>

</dd>
<dt id="LC_CTYPE"><b>LC_CTYPE</b></dt>
<dd>

<p>Em rela&ccedil;&atilde;o &agrave; codifica&ccedil;&atilde;o de caracteres, wcd vai dar prefer&ecirc;ncia &agrave; vari&aacute;vel <i>LC_CTYPE</i> sobre <i>LANG</i>. Por exemplo, para definir a codifica&ccedil;&atilde;o de caracteres para UTF-8, a defini&ccedil;&atilde;o da seguinte vari&aacute;vel de ambiente pode ser feita.</p>

<pre><code>    export LC_CTYPE=en_US.UTF-8</code></pre>

</dd>
<dt id="LC_ALL"><b>LC_ALL</b></dt>
<dd>

<p>Todas as vari&aacute;veis de ambiente de localidade que iniciam com <i>LC_</i> s&atilde;o sobrepostas para vari&aacute;vel de ambiente <i>LC_ALL</i>, se estiver definida. Wcd d&aacute; prefer&ecirc;ncia a <i>LC_ALL</i> sobre <i>LC_COLLATE</i> e <i>LC_CTYPE</i>.</p>

</dd>
</dl>

<h2 id="PGINAS-DE-CDIGO-DO-WINDOWS">P&Aacute;GINAS DE C&Oacute;DIGO DO WINDOWS</h2>

<p>H&aacute; dois grupos de p&aacute;ginas de c&oacute;digos: p&aacute;ginas de c&oacute;digo DOS (OEM) e p&aacute;ginas de c&oacute;digos Windows (ANSI). A codifica&ccedil;&atilde;o padr&atilde;o do Windows, quando configurado com configura&ccedil;&otilde;es regionais Western, &eacute; ANSI CP1252. Programas do Windows, como o bloco de notas, usam essa p&aacute;gina de c&oacute;digo ANSI padr&atilde;o do sistema. O console do Windows usa por padr&atilde;o uma p&aacute;gina de c&oacute;digo OEM (CP437 ou CP850) para compatibilidade com programas DOS. Se voc&ecirc; usa uma vers&atilde;o DOS do wcd em um console Windows, ele vai funcionar por causa da p&aacute;gina de c&oacute;digo DOS. Mas a vers&atilde;o DOS do wcd carece de suporte a nomes de diret&oacute;rios longos e unidades de rede no Windows.</p>

<p>A vers&atilde;o Windows do wcd &eacute; um programa nativo do Windows e vai usar a p&aacute;gina de c&oacute;digo ANSI de sistema Windows. Ent&atilde;o, em um Windows com regi&atilde;o Western, ser&aacute; usada a p&aacute;gina de c&oacute;digo CP1252 para nomes de diret&oacute;rio e mensagens. Para obter uma sa&iacute;da consistente, independente da p&aacute;gina de c&oacute;digo ativa, todas as vers&otilde;es Windows do wcd traduzem a sa&iacute;da ANSI para sa&iacute;da Unicode no Prompt de Comando e no PowerShell.</p>

<p>A fonte raster de console s&oacute; oferece suporte &agrave; p&aacute;gina de c&oacute;digo OEM original instalada com Windows, ent&atilde;o voc&ecirc; ter&aacute; que alterar a fonte de console para true type Console Lucida para fazer letras Unicode (e ANSI) aparecerem corretamente.</p>

<p>Vers&otilde;es n&atilde;o Unicode do wcd <i>anterior &agrave; vers&atilde;o 5.2.0</i> usam sa&iacute;da ANSI simples. Para essas vers&otilde;es antigas, a p&aacute;gina de c&oacute;digo do console tem que ser feita igual &agrave; p&aacute;gina de c&oacute;digo de sistema (alterada para 1252) para fazer wcd para Windows funcionar adequadamente com caracteres especiais como caracteres acentuados ou s&iacute;mbolo de Euro.</p>

<p>A p&aacute;gina de c&oacute;digo de sistema do Windows pode ser alterada via as op&ccedil;&otilde;es regionais no Painel de Controle. A p&aacute;gina de c&oacute;digo de console Windows &eacute; alterada com o comando <code>chcp</code>.</p>

<p>Quando voc&ecirc; digita <code>wcd -V</code>, a codifica&ccedil;&atilde;o de caracteres usada por wcd &eacute; mostrada. Digite o comando <code>chcp</code> para exibir a p&aacute;gina de c&oacute;digo ativa do console Windows.</p>

<h2 id="UNICODE">UNICODE</h2>

<p>Wcd possui suporte opcional a Unicode. Para ver se wcd foi compilado com suporte a Unicode, digite <code>wcd -V</code>. Se seu terminal/console e a fonte oferecem suporte a ele, voc&ecirc; deve ver o s&iacute;mbolo de Euro e caracteres chineses.</p>

<p>Wcd foi <i>parcialmente</i> convertido em Unicode. Em seu n&uacute;cleo, wcd lida com todos os dados como um fluxo de bytes. Apenas nas linhas exibidas na tela s&atilde;o convertidas para caracteres amplos Unicode. Wcd depende completamente das fun&ccedil;&otilde;es libc e n&atilde;o possui um c&oacute;digo espec&iacute;fico UTF-8. Veja tamb&eacute;m <a href="http://www.cl.cam.ac.uk/~mgk25/unicode.html">http://www.cl.cam.ac.uk/~mgk25/unicode.html</a></p>

<p>Wcd possui suporte opcional a correspond&ecirc;ncia Unicode com normaliza&ccedil;&atilde;o. Para descobrir se wcd possui suporte a normaliza&ccedil;&atilde;o, digite <code>wcd -V</code>. Wcd com suporte a normaliza&ccedil;&atilde;o Unicode vai corresponder nomes Unicode baseados em equival&ecirc;ncia <i>compat&iacute;vel</i>. Sem suporte a normaliza&ccedil;&atilde;o Unicode, nomes s&atilde;o correspondidos quando eles s&atilde;o equivalente bin&aacute;rio. Veja tamb&eacute;m <a href="http://en.wikipedia.org/wiki/Unicode_normalization">http://en.wikipedia.org/wiki/Unicode_normalization</a></p>

<h3 id="UTF-8-no-Unix-Linux">UTF-8 no Unix/Linux</h3>

<p>Para ver caracteres UTF-8, seu console/terminal tamb&eacute;m precisa ter suporte a UTF-8. A vers&atilde;o xterm que vem com o XFree86 4.0 ou mais novo inclui suporte a UTF-8. Para ativ&aacute;-lo, inicie xterm(1) em uma localidade UTF-8 e use uma fonte com codifica&ccedil;&atilde;o iso10646-1, por exemplo, com</p>

<pre><code>    LC_CTYPE=en_GB.UTF-8 xterm -u8 -fn &#39;-Misc-Fixed-Medium-R-SemiCondensed--13-120-75-75-C-60-ISO10646-1&#39;</code></pre>

<p>Distribui&ccedil;&otilde;es modernas do GNU/Linux oferecem suporte a UTF-8 por padr&atilde;o. Outras codifica&ccedil;&otilde;es de caracteres multibyte tamb&eacute;m devem funcionar, mas isso ainda n&atilde;o foi testado.</p>

<p>Wcd presume que os arquivos de dados de &aacute;rvore estejam codificados na codifica&ccedil;&atilde;o de caractere de localidade. N&atilde;o h&aacute; Marca de Ordem de Bytes (B.O.M.) escrita em arquivos de dados de &aacute;rvore.</p>

<h3 id="UTF-16-no-Windows">UTF-16 no Windows</h3>

<p>No Windows, h&aacute; suporte a Unicode em todas as vers&otilde;es do PowerShell e no Prompt de Comando do Windows 7 (ou mais novo). Unicode tamb&eacute;m funciona no Take Command, ou TCC/LE, feito pela JP Software, que pode ser usado em vers&otilde;es mais antigas do Windows (XP/Vista).</p>

<p>No Windows, todos os nomes de diret&oacute;rios no disco s&atilde;o codificados em Unicode UTF-16. Para programas n&atilde;o Unicode do Windows, os caracteres Unicode s&atilde;o traduzidos para a p&aacute;gina de c&oacute;digo ANSI padr&atilde;o. Para caracteres que n&atilde;o s&atilde;o parte da configura&ccedil;&atilde;o regional, essa tradu&ccedil;&atilde;o n&atilde;o &eacute; poss&iacute;vel e programas n&atilde;o Unicode exibem uma interroga&ccedil;&atilde;o ou um caractere errado.</p>

<p>Wcd com suporte a Unicode vai ler os nomes de diret&oacute;rios codificados em UTF-16 e convert&ecirc;-los internalmente em UTF-8. Todos os arquivos de dados de &aacute;rvore s&atilde;o codificados em UTF-8 e n&atilde;o compat&iacute;vel com a vers&atilde;o n&atilde;o Unicode do wcd. Wcd n&atilde;o vai criar um go-script codificado em UTF-8.</p>

<p>Todas as vers&otilde;es do PowerShell do Windows s&atilde;o capazes de executar scripts codificados em UTF-8, a menos que haja um BOM UTF-8 no script.</p>

<p>Desde o Windows 7 &eacute; poss&iacute;vel no Prompt de Comando do Windows para mudar diret&oacute;rio com um script batch para um diret&oacute;rio com letras Unicode no nome. O nome do diret&oacute;rio precisa ser codificado em UTF-8 e o script batch <i>n&atilde;o</i> podem ter um BOM. A p&aacute;gina de c&oacute;digo ativo do Prompt de Comando precisa ser definido para 65001 (UTF-8) antes do comando cd. Wcd para Prompt de Comando vai criar um go-script <code>wcdgo.bat</code>. Ele primeiro muda a p&aacute;gina de c&oacute;digo para 65001, depois muda o diret&oacute;rio e, ao final, define a p&aacute;gina de c&oacute;digo de volta para a original.</p>

<p>Voc&ecirc; precisa definir a fonte para True Type Lucida Console (fonte n&atilde;o raster) quando letras n&atilde;o aparecem corretamente.</p>

<p>A vers&atilde;o n&atilde;o Unicode Windows do wcd pode ler arquivos de dados de &aacute;rvore Unicode desde a vers&atilde;o 5.2.0, desde que haja uma Marca de Ordem de Bytes (BOM) no arquivo (veja <a href="https://pt.wikipedia.org/wiki/Marca_de_ordem_de_byte">https://pt.wikipedia.org/wiki/Marca_de_ordem_de_byte</a>), mas ele n&atilde;o muda os diret&oacute;rios com letras Unicode no nome que n&atilde;o s&atilde;o parte da p&aacute;gina de c&oacute;digo ANSI padr&atilde;o do sistema. A vers&atilde;o Unicode Windows do wcd escreve um BOM nos arquivos de dados de &aacute;rvore codificada em UTF-8 desde a vers&atilde;o 5.2.0, o que tamb&eacute;m os torna leg&iacute;vel pelo notepad.</p>

<h3 id="UTF-8-no-Cygwin">UTF-8 no Cygwin</h3>

<p>Cygwin oferece suporte a Unicode desde a vers&atilde;o 1.7. A camada do Cygwin tem o cuidado para que os nomes Unicode UTF-16 do Windows sejam convertidos para UTF-8. Ent&atilde;o os programas, como o wcd, n&atilde;o precisam estar cientes disto e podem operar usando codifica&ccedil;&atilde;o UTF-8 como no Unix/Linux. Defina a codifica&ccedil;&atilde;o de caracteres para UTF-8 com a vari&aacute;vel de ambiente <i>LANG</i> ou <i>LC_CTYPE</i>. Voc&ecirc; pode precisar varrer novamente suas unidades. Voc&ecirc; precisa definir a fonte para True Type Lucida Console (fonte n&atilde;o raster) se voc&ecirc; usa o console padr&atilde;o do Cygwin.</p>

<p>A vers&atilde;o Cygwin se comporta exatamente como a vers&atilde;o Unix do wcd. N&atilde;o h&aacute; BOM escrito nos arquivos de dados de &aacute;rvore e ele presume que eles estejam codificados na codifica&ccedil;&atilde;o de caracteres de localidade do <b>Cygwin</b>.</p>

<h1 id="ARQUIVOS">ARQUIVOS</h1>

<p>Se a vari&aacute;vel de ambiente <i>WCDHOME</i> estiver definido, wcd vai usar <i>WCDHOME</i> em vez de <i>HOME</i>. Todos os arquivos <code>*.wcd</code> s&atilde;o arquivos textos. Eles podem ser editados com um editor de texto. A vers&atilde;o do wcd para Prompt de Comando do Windows se comporta como a vers&atilde;o para DOS. A vers&atilde;o Cygwin do wcd se comporta como a vers&atilde;o Unix.</p>

<dl>

<dt id="wcd.exe"><b>wcd.exe</b></dt>
<dd>

<p>O programa. Em shells do Unix, o programa &eacute; sempre chamado por uma fun&ccedil;&atilde;o ou alias porque o diret&oacute;rio de trabalho atual de um shell do Unix s&oacute; pode ser mudado pelo comando embarcado cd. Veja tamb&eacute;m a se&ccedil;&atilde;o INSTALA&Ccedil;&Atilde;O.</p>

</dd>
<dt id="arquivo-de-dados-de-rvore-padro"><b>arquivo de dados de &aacute;rvore padr&atilde;o</b></dt>
<dd>

<p>Esse &eacute; o arquivo de dados de &aacute;rvore padr&atilde;o no qual wcd pesquisa por correspond&ecirc;ncias. Se ele n&atilde;o for leg&iacute;vel, wcd vai criar um novo.</p>

<pre><code>    DOS: \treedata.wcd or %HOME%\treedata.wcd
    Unix: $HOME/.treedata.wcd</code></pre>

</dd>
<dt id="arquivo-de-dados-de-rvore-extra"><b>arquivo de dados de &aacute;rvore extra</b></dt>
<dd>

<p>Um arquivo de dados de &aacute;rvore extra e opcional. Se ele existir e for leg&iacute;vel, wcd vai tentar localizar correspond&ecirc;ncias tamb&eacute;m neste arquivo.</p>

<pre><code>    DOS: \extra.wcd or %HOME%\extra.wcd
    Unix: $HOME/.extra.wcd</code></pre>

</dd>
<dt id="arquivo-de-banimento"><b>arquivo de banimento</b></dt>
<dd>

<p>Neste arquivo opcional o wcd coloca os caminhos banidos. Veja a op&ccedil;&atilde;o <b>-b</b>. H&aacute; suporte a caracteres curingas.</p>

<pre><code>    DOS: \ban.wcd or %HOME%\ban.wcd
    Unix: $HOME/.ban.wcd</code></pre>

</dd>
<dt id="arquivos-alias"><b>arquivos alias</b></dt>
<dd>

<p>Arquivo opcional com aliases do wcd. Veja a op&ccedil;&atilde;o <b>-l</b>.</p>

<pre><code>    DOS: \alias.wcd or %HOME%\alias.wcd
    Unix: $HOME/.alias.wcd</code></pre>

</dd>
<dt id="arquivo-de-pilha"><b>arquivo de pilha</b></dt>
<dd>

<p>Neste arquivo o wcd armazena sua pilha. A letra de unidade pode ser alterada com a op&ccedil;&atilde;o <b>-d</b>.</p>

<pre><code>    DOS: c:\stack.wcd or %HOME%\stack.wcd
    Unix: $HOME/.stack.wcd</code></pre>

<p>O nome do arquivo de pilha pode ser alterado com a vari&aacute;vel de ambiente <i>WCDSTACKFILE</i>. Veja a se&ccedil;&atilde;o VARI&Aacute;VEIS DE AMBIENTE.</p>

</dd>
<dt id="go-script"><b>go-script</b></dt>
<dd>

<p>Este &eacute; o script shell que wcd cria a cada vez. Ele &eacute; carregado por uma fun&ccedil;&atilde;o ou um alias. A letra da unidade pode ser alterada com a op&ccedil;&atilde;o <b>-d</b>. Por motivos hist&oacute;ricos, ele &eacute; colocado por padr&atilde;o em <code>$HOME/bin</code> em sistemas Unix. O diret&oacute;rio neste arquivo pode ser alterado com a op&ccedil;&atilde;o <b>-G</b>.</p>

<pre><code>    bash do DOS: c:/wcd.go ou $HOME/wcd.go
    Prompt de Comando do Windows: c:\wcdgo.bat ou %HOME%\wcdgo.bat
    PowerShell do Windows: $env:HOME\wcdgo.ps1
    WinZsh: $HOME/wcd.go
    Cygwin/MSYS: $HOME/bin/wcd.go
    Prompt de Comando do OS/2: c:\wcdgo.cmd ou %HOME%\wcdgo.cmd
    bash do OS/2: c:/wcd.go ou $HOME/wcd.go
    Unix: $HOME/bin/wcd.go</code></pre>

</dd>
<dt id="arquivo-de-dados-de-rvore-relativos"><b>arquivo de dados de &aacute;rvore relativos</b></dt>
<dd>

<p>Arquivo de texto com caminhos relativos a partir de <i>DIR</i>. Veja <b>+S</b>, <b>-n</b> e <b>+n</b>.</p>

<pre><code>    DOS: PATH\rtdata.wcd
    Unix: PATH/.rtdata.wcd</code></pre>

</dd>
</dl>

<h1 id="VARIVEIS-DE-AMBIENTE">VARI&Aacute;VEIS DE AMBIENTE</h1>

<dl>

<dt id="HOME"><b>HOME</b></dt>
<dd>

<p>Wcd usa por padr&atilde;o a vari&aacute;vel de ambiente <i>HOME</i> para determinar onde deve armazenar seus arquivos. Veja tamb&eacute;m a se&ccedil;&atilde;o ARQUIVOS. Isso pode ser sobreposto com a vari&aacute;vel de ambiente <i>WCDHOME</i>.</p>

<p><i>HOME</i> tamb&eacute;m define por onde deve-se iniciar varrendo o disco quando a op&ccedil;&atilde;o <b>-s</b> &eacute; usada. Isso pode ser sobreposto com a vari&aacute;vel de ambiente <i>WCDSCAN</i>.</p>

<p>Para a vers&atilde;o Unix, Cygwin, PowerShell do Windows, WinZsh e MSYS, &eacute; exigido que <i>HOME</i> ou <i>WCDHOME</i> esteja definida. Para outras vers&otilde;es do wcd, o uso dessas vari&aacute;veis &eacute; opcional.</p>

<p>Se <i>HOME</i> estiver definido no DOS/Windows, wcd vai colocar todos seus arquivos (treedata.wcd, extra.wcd, alias.wcd, ban.wcd, wcd.go) no diret&oacute;rio <i>HOME</i>. O comportamento do wcd &eacute;, ent&atilde;o, igual &agrave; vers&atilde;o Unix de wcd. Wcd vai varrer o disco padr&atilde;o a partir de <i>HOME</i>. Unidades n&atilde;o ser&atilde;o automaticamente varridas mudando para elas. Voc&ecirc; precisa dizer wcd explicitamente. Ex.:</p>

<pre><code>    wcd -S c: -A d: -A e:</code></pre>

<p>Correspond&ecirc;ncia de diret&oacute;rios &eacute; agora global por todas as unidades varridas.</p>

</dd>
<dt id="WCDHOME"><b>WCDHOME</b></dt>
<dd>

<p>A vari&aacute;vel de ambiente <i>WCDHOME</i> pode ser usada para alterar a localiza&ccedil;&atilde;o de arquivos do wcd. Se ambas <i>HOME</i> e <i>WCDHOME</i> estiverem definidas, <i>WCDHOME</i> ser&aacute; usada em vez de <i>HOME</i>.</p>

<p>Nas vers&otilde;es wcd antes de 5.1.5, <i>WCDHOME</i> tamb&eacute;m mudava o diret&oacute;rio padr&atilde;o de varredura. Isso foi alterado. Desde a vers&atilde;o 5.1.5, <i>WCDHOME</i> n&atilde;o muda o diret&oacute;rio padr&atilde;o de varredura. Veja a op&ccedil;&atilde;o <b>-s</b>. A partir da vers&atilde;o 5.1.5, use a vari&aacute;vel de ambiente <i>WCDSCAN</i> para sobrepor o diret&oacute;rio padr&atilde;o de varredura.</p>

<p>Exemplo para Prompt de Comando do DOS, do Windows e do OS/2:</p>

<pre><code>    set WCDHOME=C:\Users\erwin\wcd</code></pre>

<p>Um exemplo para shells de tipo POSIX:</p>

<pre><code>    export WCDHOME=&quot;$HOME/.wcd&quot;</code></pre>

<p>Um exemplo para shells de tipo Csh:</p>

<pre><code>    setenv WCDHOME &quot;$HOME/.wcd&quot;</code></pre>

</dd>
<dt id="WCDSCAN"><b>WCDSCAN</b></dt>
<dd>

<p>Use a vari&aacute;vel de ambiente <i>WCDSCAN</i> para sobrepor o diret&oacute;rio padr&atilde;o de varredura <i>HOME</i>. Defina uma lista separada por dois pontos (Unix) para definir mais de um diret&oacute;rio. No DOS/Windows, separe a lista com ponto e v&iacute;rgula.</p>

<p>Exemplos para Prompt de Comando do DOS, Windows e OS/2:</p>

<pre><code>    set WCDSCAN=C:\Users\erwin;D:\data

    set WCDSCAN=%HOMEDRIVE%%HOMEPATH%;\\unidadeprojeto\projetoX</code></pre>

<p>Um exemplo para shells de tipo POSIX:</p>

<pre><code>    export WCDSCAN=&quot;$HOME:/unidadeprojeto/projetoX&quot;</code></pre>

<p>Um exemplo para shells de tipo Csh:</p>

<pre><code>    setenv WCDSCAN &quot;$HOME:/unidadeprojeto/projetoX&quot;</code></pre>

</dd>
<dt id="WCDFILTER"><b>WCDFILTER</b></dt>
<dd>

<p>Especifique filtros com a vari&aacute;vel de ambiente <i>WCDFILTER</i>. Todos os diret&oacute;rios que n&atilde;o correspondem ao(s) filtro(s) s&atilde;o ignorados. Uma lista pode ser especificada separando filtros por meio do separador de caminho do shell. Similar a especificar a vari&aacute;vel <i>PATH</i>. A diferencia&ccedil;&atilde;o entre mai&uacute;sculo e min&uacute;sculo depende do sistema operacional.</p>

<p>Um exemplo para Prompt de Comando do DOS, Windows e OS/2:</p>

<pre><code>    set WCDFILTER=projetos;doc</code></pre>

<p>Um exemplo para shells de tipo POSIX:</p>

<pre><code>    export WCDFILTER=&quot;projetos:doc&quot;</code></pre>

<p>Um exemplo para shells de tipo Csh:</p>

<pre><code>    setenv WCDFILTER &quot;projetos:doc&quot;</code></pre>

</dd>
<dt id="WCDBAN"><b>WCDBAN</b></dt>
<dd>

<p>Os caminhos especificados com a vari&aacute;vel de ambiente <i>WCDBAN</i> ser&atilde;o banidos pelo wcd. Veja tamb&eacute;m a op&ccedil;&atilde;o <b>-b</b>. Especifique uma lista de caminhos separada por separador de <i>PATH</i> do shell.</p>

</dd>
<dt id="WCDEXCLUDE"><b>WCDEXCLUDE</b></dt>
<dd>

<p>Os caminhos especificados com ambiente <i>WCDEXCLUDE</i> ser&atilde;o exclu&iacute;dos por wcd. Veja tamb&eacute;m as op&ccedil;&otilde;es <b>-x</b> e <b>-xf</b>. Especifique uma lista de caminhos separada por separador de <i>PATH</i> do shell.</p>

<p>Um exemplo para Prompt de Comando do DOS, Windows e OS/2:</p>

<pre><code>    set WCDEXCLUDE=*/windows;*/temp;*CVS</code></pre>

<p>Um exemplo para shells de tipo POSIX:</p>

<pre><code>    export WCDEXCLUDE=&quot;/dev:/tmp:*CVS&quot;</code></pre>

<p>Um exemplo para shells de tipo Csh:</p>

<pre><code>    setenv WCDEXCLUDE &quot;/dev:/tmp:*CVS&quot;</code></pre>

</dd>
<dt id="WCDUSERSHOME"><b>WCDUSERSHOME</b></dt>
<dd>

<p>Define a base de diret&oacute;rios home do usu&aacute;rio. No DOS/Windows, o valor padr&atilde;o &eacute; <code>\\users</code>. No Unix/Cygwin, o valor padr&atilde;o &eacute; <code>/home</code>. Essa vari&aacute;vel &eacute; usada para varrer arquivos de dados de &aacute;rvore de outros usu&aacute;rios. Veja tamb&eacute;m a op&ccedil;&atilde;o <b>-u</b> e <b>+u</b>. No modo verboso, wcd vai exibir todos os filtros, banimentos e exclus&otilde;es. Veja a op&ccedil;&atilde;o <b>-v</b>.</p>

</dd>
<dt id="WCDSTACKFILE"><b>WCDSTACKFILE</b></dt>
<dd>

<p>Wcd d&aacute; prefer&ecirc;ncia a <i>WCDSTACKFILE</i> sobre o nome de arquivo de pilha padr&atilde;o (veja a se&ccedil;&atilde;o ARQUIVOS). Com essa vari&aacute;vel, cada shell (ou emulador de terminal usado) pode ter sua pilha privada de diret&oacute;rios usados.</p>

<p>Para usar um tempo &uacute;nico baseado no arquivo YYYYMMDD-HHMMSS para cada shell interativo aberto:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$(date +%Y%m%d-%H%M%S)</code></pre>

<p>Para uma pilha per xterm(1), use a vari&aacute;vel de ambiente <i>WINDOWID</i> do xterm:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOWID</code></pre>

<p>Para o GNU screen(1), para usar pilha por tela:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOW</code></pre>

</dd>
<dt id="TERMINFO"><b>TERMINFO</b></dt>
<dd>

<p>Se a vari&aacute;vel de ambiente <i>TERMINFO</i> for usada, wcd com interface ncurses verifica por uma defini&ccedil;&atilde;o de terminal local antes de verificar no lugar padr&atilde;o. Isso &eacute; &uacute;til se as defini&ccedil;&otilde;es de terminal n&atilde;o estiverem um lugar padr&atilde;o. Lugares padr&otilde;es geralmente usados s&atilde;o <code>/usr/lib/terminfo</code> e <code>/usr/share/terminfo</code>.</p>

</dd>
<dt id="PDC_RESTORE_SCREEN"><b>PDC_RESTORE_SCREEN</b></dt>
<dd>

<p>Wcd com interface PDCurses reconhece a vari&aacute;vel de ambiente <i>PDC_RESTORE_SCREEN</i>. Se essa vari&aacute;vel de ambiente estiver definida, PDCurses vai levar uma c&oacute;pia dos conte&uacute;dos da tela no momento em que wcd for iniciado; quando wcd sair, a tela ser&aacute; restaurada. Um exemplo para Prompt de Comando do Windows:</p>

<pre><code>    set PDC_RESTORE_SCREEN=1</code></pre>

<p>Windows s&oacute; permite salvar um buffer pequeno. Ent&atilde;o, n&atilde;o &eacute; sempre poss&iacute;vel restaurar tudo. Alguns dados in&uacute;teis podem ser emitidos no console ap&oacute;s o wcd sair, se voc&ecirc; definir uma largura grande de buffer.</p>

</dd>
<dt id="SHELL"><b>SHELL</b></dt>
<dd>

<p>Colocar do <code>#!$SHELL</code> na primeira linha do go-script para o shell de tipo POSIX ou shell C &eacute; necess&aacute;rio para caracteres de 8 bits. Do contr&aacute;rio, alguns shells pensar&atilde;o que o go-script &eacute; um arquivo bin&aacute;rio e n&atilde;o o carregar&atilde;o. No bash do Cygwin, a vari&aacute;vel <i>SHELL</i> deve ser definida usando o comando <code>export</code>; do contr&aacute;rio, wcd n&atilde;o consegue ler a vari&aacute;vel.</p>

</dd>
<dt id="BASH"><b>BASH</b></dt>
<dd>

<p>Wcd para bash do DOS usa <code>$BASH</code> em vez de <code>$SHELL</code>, pois <code>$SHELL</code> aponta para o shell de comando do DOS. Pode ser necess&aacute;rio definir <code>$BASH</code> com o comando <code>export</code>; do contr&aacute;rio, wcd n&atilde;o consegue ler a vari&aacute;vel.</p>

</dd>
</dl>

<h1 id="VEJA-TAMBM">VEJA TAMB&Eacute;M</h1>

<p>sh(1), bash(1), csh(1), ksh(1), zsh(1), locale(1), ncurses(1),</p>

<h1 id="AUTORES">AUTORES</h1>

<p>Wcd foi escrito por Erwin Waterlander &lt;waterlan@xs4all.nl&gt;</p>

<p>P&aacute;gina do projeto: <a href="http://waterlan.home.xs4all.nl/">http://waterlan.home.xs4all.nl/</a></p>

<p>SourceForge: <a href="http://sourceforge.net/projects/wcd/">http://sourceforge.net/projects/wcd/</a></p>

<p>A formata&ccedil;&atilde;o de p&aacute;gina de manual foi fornecida por Jari Aalto &lt;jari.aalto@cante.net&gt;.</p>

<p>NCD foi escrito originalmente por Brad Kingsbury para &quot;Norton Utilities&quot; do Peter Norton por volta de 1987. Veja tamb&eacute;m <a href="http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml">http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml</a></p>


</body>

</html>


